package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TCheckExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TCheckExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNull() {
            addCriterion("CHECK_ID is null");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNotNull() {
            addCriterion("CHECK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIdEqualTo(String value) {
            addCriterion("CHECK_ID =", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotEqualTo(String value) {
            addCriterion("CHECK_ID <>", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThan(String value) {
            addCriterion("CHECK_ID >", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_ID >=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThan(String value) {
            addCriterion("CHECK_ID <", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThanOrEqualTo(String value) {
            addCriterion("CHECK_ID <=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLike(String value) {
            addCriterion("CHECK_ID like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotLike(String value) {
            addCriterion("CHECK_ID not like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIn(List<String> values) {
            addCriterion("CHECK_ID in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotIn(List<String> values) {
            addCriterion("CHECK_ID not in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdBetween(String value1, String value2) {
            addCriterion("CHECK_ID between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotBetween(String value1, String value2) {
            addCriterion("CHECK_ID not between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckNameIsNull() {
            addCriterion("CHECK_NAME is null");
            return (Criteria) this;
        }

        public Criteria andCheckNameIsNotNull() {
            addCriterion("CHECK_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andCheckNameEqualTo(String value) {
            addCriterion("CHECK_NAME =", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameNotEqualTo(String value) {
            addCriterion("CHECK_NAME <>", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameGreaterThan(String value) {
            addCriterion("CHECK_NAME >", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_NAME >=", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameLessThan(String value) {
            addCriterion("CHECK_NAME <", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameLessThanOrEqualTo(String value) {
            addCriterion("CHECK_NAME <=", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameLike(String value) {
            addCriterion("CHECK_NAME like", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameNotLike(String value) {
            addCriterion("CHECK_NAME not like", value, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameIn(List<String> values) {
            addCriterion("CHECK_NAME in", values, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameNotIn(List<String> values) {
            addCriterion("CHECK_NAME not in", values, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameBetween(String value1, String value2) {
            addCriterion("CHECK_NAME between", value1, value2, "checkName");
            return (Criteria) this;
        }

        public Criteria andCheckNameNotBetween(String value1, String value2) {
            addCriterion("CHECK_NAME not between", value1, value2, "checkName");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("START_TIME is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("START_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("START_TIME =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("START_TIME <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("START_TIME >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("START_TIME >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("START_TIME <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("START_TIME <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("START_TIME in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("START_TIME not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("START_TIME between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("START_TIME not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("END_TIME is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("END_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("END_TIME =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("END_TIME <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("END_TIME >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("END_TIME >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("END_TIME <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("END_TIME <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("END_TIME in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("END_TIME not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("END_TIME between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("END_TIME not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIsNull() {
            addCriterion("CHECK_DAYS is null");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIsNotNull() {
            addCriterion("CHECK_DAYS is not null");
            return (Criteria) this;
        }

        public Criteria andCheckDaysEqualTo(Integer value) {
            addCriterion("CHECK_DAYS =", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotEqualTo(Integer value) {
            addCriterion("CHECK_DAYS <>", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysGreaterThan(Integer value) {
            addCriterion("CHECK_DAYS >", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysGreaterThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DAYS >=", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysLessThan(Integer value) {
            addCriterion("CHECK_DAYS <", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysLessThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DAYS <=", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIn(List<Integer> values) {
            addCriterion("CHECK_DAYS in", values, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotIn(List<Integer> values) {
            addCriterion("CHECK_DAYS not in", values, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DAYS between", value1, value2, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DAYS not between", value1, value2, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIsNull() {
            addCriterion("CHECK_INTVERL is null");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIsNotNull() {
            addCriterion("CHECK_INTVERL is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL =", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL <>", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlGreaterThan(Integer value) {
            addCriterion("CHECK_INTVERL >", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlGreaterThanOrEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL >=", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlLessThan(Integer value) {
            addCriterion("CHECK_INTVERL <", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlLessThanOrEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL <=", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIn(List<Integer> values) {
            addCriterion("CHECK_INTVERL in", values, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotIn(List<Integer> values) {
            addCriterion("CHECK_INTVERL not in", values, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_INTVERL between", value1, value2, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_INTVERL not between", value1, value2, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumIsNull() {
            addCriterion("CHECK_DEVICE_NUM is null");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumIsNotNull() {
            addCriterion("CHECK_DEVICE_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumEqualTo(Integer value) {
            addCriterion("CHECK_DEVICE_NUM =", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumNotEqualTo(Integer value) {
            addCriterion("CHECK_DEVICE_NUM <>", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumGreaterThan(Integer value) {
            addCriterion("CHECK_DEVICE_NUM >", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DEVICE_NUM >=", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumLessThan(Integer value) {
            addCriterion("CHECK_DEVICE_NUM <", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumLessThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DEVICE_NUM <=", value, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumIn(List<Integer> values) {
            addCriterion("CHECK_DEVICE_NUM in", values, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumNotIn(List<Integer> values) {
            addCriterion("CHECK_DEVICE_NUM not in", values, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DEVICE_NUM between", value1, value2, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCheckDeviceNumNotBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DEVICE_NUM not between", value1, value2, "checkDeviceNum");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIsNull() {
            addCriterion("CHKRPT_ID is null");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIsNotNull() {
            addCriterion("CHKRPT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andChkrptIdEqualTo(String value) {
            addCriterion("CHKRPT_ID =", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotEqualTo(String value) {
            addCriterion("CHKRPT_ID <>", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdGreaterThan(String value) {
            addCriterion("CHKRPT_ID >", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHKRPT_ID >=", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLessThan(String value) {
            addCriterion("CHKRPT_ID <", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLessThanOrEqualTo(String value) {
            addCriterion("CHKRPT_ID <=", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdLike(String value) {
            addCriterion("CHKRPT_ID like", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotLike(String value) {
            addCriterion("CHKRPT_ID not like", value, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdIn(List<String> values) {
            addCriterion("CHKRPT_ID in", values, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotIn(List<String> values) {
            addCriterion("CHKRPT_ID not in", values, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdBetween(String value1, String value2) {
            addCriterion("CHKRPT_ID between", value1, value2, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andChkrptIdNotBetween(String value1, String value2) {
            addCriterion("CHKRPT_ID not between", value1, value2, "chkrptId");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIsNull() {
            addCriterion("EARLY_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIsNotNull() {
            addCriterion("EARLY_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagEqualTo(String value) {
            addCriterion("EARLY_FLAG =", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotEqualTo(String value) {
            addCriterion("EARLY_FLAG <>", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagGreaterThan(String value) {
            addCriterion("EARLY_FLAG >", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_FLAG >=", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLessThan(String value) {
            addCriterion("EARLY_FLAG <", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLessThanOrEqualTo(String value) {
            addCriterion("EARLY_FLAG <=", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLike(String value) {
            addCriterion("EARLY_FLAG like", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotLike(String value) {
            addCriterion("EARLY_FLAG not like", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIn(List<String> values) {
            addCriterion("EARLY_FLAG in", values, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotIn(List<String> values) {
            addCriterion("EARLY_FLAG not in", values, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagBetween(String value1, String value2) {
            addCriterion("EARLY_FLAG between", value1, value2, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotBetween(String value1, String value2) {
            addCriterion("EARLY_FLAG not between", value1, value2, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyManIsNull() {
            addCriterion("EARLY_MAN is null");
            return (Criteria) this;
        }

        public Criteria andEarlyManIsNotNull() {
            addCriterion("EARLY_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyManEqualTo(String value) {
            addCriterion("EARLY_MAN =", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotEqualTo(String value) {
            addCriterion("EARLY_MAN <>", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManGreaterThan(String value) {
            addCriterion("EARLY_MAN >", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_MAN >=", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLessThan(String value) {
            addCriterion("EARLY_MAN <", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLessThanOrEqualTo(String value) {
            addCriterion("EARLY_MAN <=", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLike(String value) {
            addCriterion("EARLY_MAN like", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotLike(String value) {
            addCriterion("EARLY_MAN not like", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManIn(List<String> values) {
            addCriterion("EARLY_MAN in", values, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotIn(List<String> values) {
            addCriterion("EARLY_MAN not in", values, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManBetween(String value1, String value2) {
            addCriterion("EARLY_MAN between", value1, value2, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotBetween(String value1, String value2) {
            addCriterion("EARLY_MAN not between", value1, value2, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIsNull() {
            addCriterion("EARLY_TIME is null");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIsNotNull() {
            addCriterion("EARLY_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeEqualTo(Date value) {
            addCriterion("EARLY_TIME =", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotEqualTo(Date value) {
            addCriterion("EARLY_TIME <>", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeGreaterThan(Date value) {
            addCriterion("EARLY_TIME >", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("EARLY_TIME >=", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeLessThan(Date value) {
            addCriterion("EARLY_TIME <", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeLessThanOrEqualTo(Date value) {
            addCriterion("EARLY_TIME <=", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIn(List<Date> values) {
            addCriterion("EARLY_TIME in", values, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotIn(List<Date> values) {
            addCriterion("EARLY_TIME not in", values, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeBetween(Date value1, Date value2) {
            addCriterion("EARLY_TIME between", value1, value2, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotBetween(Date value1, Date value2) {
            addCriterion("EARLY_TIME not between", value1, value2, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIsNull() {
            addCriterion("EARLY_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIsNotNull() {
            addCriterion("EARLY_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseEqualTo(String value) {
            addCriterion("EARLY_BECAUSE =", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotEqualTo(String value) {
            addCriterion("EARLY_BECAUSE <>", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseGreaterThan(String value) {
            addCriterion("EARLY_BECAUSE >", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_BECAUSE >=", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLessThan(String value) {
            addCriterion("EARLY_BECAUSE <", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLessThanOrEqualTo(String value) {
            addCriterion("EARLY_BECAUSE <=", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLike(String value) {
            addCriterion("EARLY_BECAUSE like", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotLike(String value) {
            addCriterion("EARLY_BECAUSE not like", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIn(List<String> values) {
            addCriterion("EARLY_BECAUSE in", values, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotIn(List<String> values) {
            addCriterion("EARLY_BECAUSE not in", values, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseBetween(String value1, String value2) {
            addCriterion("EARLY_BECAUSE between", value1, value2, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotBetween(String value1, String value2) {
            addCriterion("EARLY_BECAUSE not between", value1, value2, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNull() {
            addCriterion("TASK_BATCH_ID is null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNotNull() {
            addCriterion("TASK_BATCH_ID is not null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdEqualTo(String value) {
            addCriterion("TASK_BATCH_ID =", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <>", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThan(String value) {
            addCriterion("TASK_BATCH_ID >", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID >=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThan(String value) {
            addCriterion("TASK_BATCH_ID <", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLike(String value) {
            addCriterion("TASK_BATCH_ID like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotLike(String value) {
            addCriterion("TASK_BATCH_ID not like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIn(List<String> values) {
            addCriterion("TASK_BATCH_ID in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotIn(List<String> values) {
            addCriterion("TASK_BATCH_ID not in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID not between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andPlatNameIsNull() {
            addCriterion("PLAT_NAME is null");
            return (Criteria) this;
        }

        public Criteria andPlatNameIsNotNull() {
            addCriterion("PLAT_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andPlatNameEqualTo(String value) {
            addCriterion("PLAT_NAME =", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameNotEqualTo(String value) {
            addCriterion("PLAT_NAME <>", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameGreaterThan(String value) {
            addCriterion("PLAT_NAME >", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameGreaterThanOrEqualTo(String value) {
            addCriterion("PLAT_NAME >=", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameLessThan(String value) {
            addCriterion("PLAT_NAME <", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameLessThanOrEqualTo(String value) {
            addCriterion("PLAT_NAME <=", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameLike(String value) {
            addCriterion("PLAT_NAME like", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameNotLike(String value) {
            addCriterion("PLAT_NAME not like", value, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameIn(List<String> values) {
            addCriterion("PLAT_NAME in", values, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameNotIn(List<String> values) {
            addCriterion("PLAT_NAME not in", values, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameBetween(String value1, String value2) {
            addCriterion("PLAT_NAME between", value1, value2, "platName");
            return (Criteria) this;
        }

        public Criteria andPlatNameNotBetween(String value1, String value2) {
            addCriterion("PLAT_NAME not between", value1, value2, "platName");
            return (Criteria) this;
        }

        public Criteria andMcuVersionIsNull() {
            addCriterion("MCU_VERSION is null");
            return (Criteria) this;
        }

        public Criteria andMcuVersionIsNotNull() {
            addCriterion("MCU_VERSION is not null");
            return (Criteria) this;
        }

        public Criteria andMcuVersionEqualTo(String value) {
            addCriterion("MCU_VERSION =", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionNotEqualTo(String value) {
            addCriterion("MCU_VERSION <>", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionGreaterThan(String value) {
            addCriterion("MCU_VERSION >", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionGreaterThanOrEqualTo(String value) {
            addCriterion("MCU_VERSION >=", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionLessThan(String value) {
            addCriterion("MCU_VERSION <", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionLessThanOrEqualTo(String value) {
            addCriterion("MCU_VERSION <=", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionLike(String value) {
            addCriterion("MCU_VERSION like", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionNotLike(String value) {
            addCriterion("MCU_VERSION not like", value, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionIn(List<String> values) {
            addCriterion("MCU_VERSION in", values, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionNotIn(List<String> values) {
            addCriterion("MCU_VERSION not in", values, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionBetween(String value1, String value2) {
            addCriterion("MCU_VERSION between", value1, value2, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andMcuVersionNotBetween(String value1, String value2) {
            addCriterion("MCU_VERSION not between", value1, value2, "mcuVersion");
            return (Criteria) this;
        }

        public Criteria andBatFlagIsNull() {
            addCriterion("BAT_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andBatFlagIsNotNull() {
            addCriterion("BAT_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andBatFlagEqualTo(String value) {
            addCriterion("BAT_FLAG =", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagNotEqualTo(String value) {
            addCriterion("BAT_FLAG <>", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagGreaterThan(String value) {
            addCriterion("BAT_FLAG >", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagGreaterThanOrEqualTo(String value) {
            addCriterion("BAT_FLAG >=", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagLessThan(String value) {
            addCriterion("BAT_FLAG <", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagLessThanOrEqualTo(String value) {
            addCriterion("BAT_FLAG <=", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagLike(String value) {
            addCriterion("BAT_FLAG like", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagNotLike(String value) {
            addCriterion("BAT_FLAG not like", value, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagIn(List<String> values) {
            addCriterion("BAT_FLAG in", values, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagNotIn(List<String> values) {
            addCriterion("BAT_FLAG not in", values, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagBetween(String value1, String value2) {
            addCriterion("BAT_FLAG between", value1, value2, "batFlag");
            return (Criteria) this;
        }

        public Criteria andBatFlagNotBetween(String value1, String value2) {
            addCriterion("BAT_FLAG not between", value1, value2, "batFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagIsNull() {
            addCriterion("AUTO_BATCH_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagIsNotNull() {
            addCriterion("AUTO_BATCH_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagEqualTo(String value) {
            addCriterion("AUTO_BATCH_FLAG =", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagNotEqualTo(String value) {
            addCriterion("AUTO_BATCH_FLAG <>", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagGreaterThan(String value) {
            addCriterion("AUTO_BATCH_FLAG >", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagGreaterThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_FLAG >=", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagLessThan(String value) {
            addCriterion("AUTO_BATCH_FLAG <", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagLessThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_FLAG <=", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagLike(String value) {
            addCriterion("AUTO_BATCH_FLAG like", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagNotLike(String value) {
            addCriterion("AUTO_BATCH_FLAG not like", value, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagIn(List<String> values) {
            addCriterion("AUTO_BATCH_FLAG in", values, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagNotIn(List<String> values) {
            addCriterion("AUTO_BATCH_FLAG not in", values, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_FLAG between", value1, value2, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchFlagNotBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_FLAG not between", value1, value2, "autoBatchFlag");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeIsNull() {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeIsNotNull() {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeEqualTo(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE =", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeNotEqualTo(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE <>", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeGreaterThan(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE >", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeGreaterThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE >=", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeLessThan(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE <", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeLessThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE <=", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeLike(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE like", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeNotLike(String value) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE not like", value, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeIn(List<String> values) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE in", values, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeNotIn(List<String> values) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE not in", values, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE between", value1, value2, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchAntennaTypeNotBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_ANTENNA_TYPE not between", value1, value2, "autoBatchAntennaType");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdIsNull() {
            addCriterion("AUTO_BATCH_ID is null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdIsNotNull() {
            addCriterion("AUTO_BATCH_ID is not null");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdEqualTo(String value) {
            addCriterion("AUTO_BATCH_ID =", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdNotEqualTo(String value) {
            addCriterion("AUTO_BATCH_ID <>", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdGreaterThan(String value) {
            addCriterion("AUTO_BATCH_ID >", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_ID >=", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdLessThan(String value) {
            addCriterion("AUTO_BATCH_ID <", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdLessThanOrEqualTo(String value) {
            addCriterion("AUTO_BATCH_ID <=", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdLike(String value) {
            addCriterion("AUTO_BATCH_ID like", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdNotLike(String value) {
            addCriterion("AUTO_BATCH_ID not like", value, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdIn(List<String> values) {
            addCriterion("AUTO_BATCH_ID in", values, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdNotIn(List<String> values) {
            addCriterion("AUTO_BATCH_ID not in", values, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_ID between", value1, value2, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andAutoBatchIdNotBetween(String value1, String value2) {
            addCriterion("AUTO_BATCH_ID not between", value1, value2, "autoBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaIsNull() {
            addCriterion("DELAY_SWITCH_ANTENNA is null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaIsNotNull() {
            addCriterion("DELAY_SWITCH_ANTENNA is not null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaEqualTo(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA =", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaNotEqualTo(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA <>", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaGreaterThan(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA >", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaGreaterThanOrEqualTo(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA >=", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaLessThan(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA <", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaLessThanOrEqualTo(Integer value) {
            addCriterion("DELAY_SWITCH_ANTENNA <=", value, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaIn(List<Integer> values) {
            addCriterion("DELAY_SWITCH_ANTENNA in", values, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaNotIn(List<Integer> values) {
            addCriterion("DELAY_SWITCH_ANTENNA not in", values, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaBetween(Integer value1, Integer value2) {
            addCriterion("DELAY_SWITCH_ANTENNA between", value1, value2, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaNotBetween(Integer value1, Integer value2) {
            addCriterion("DELAY_SWITCH_ANTENNA not between", value1, value2, "delaySwitchAntenna");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeIsNull() {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeIsNotNull() {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeEqualTo(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE =", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeNotEqualTo(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE <>", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeGreaterThan(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE >", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE >=", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeLessThan(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE <", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeLessThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE <=", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeLike(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE like", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeNotLike(String value) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE not like", value, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeIn(List<String> values) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE in", values, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeNotIn(List<String> values) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE not in", values, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE between", value1, value2, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchAntennaTypeNotBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_ANTENNA_TYPE not between", value1, value2, "delaySwitchAntennaType");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdIsNull() {
            addCriterion("DELAY_SWITCH_BATCH_ID is null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdIsNotNull() {
            addCriterion("DELAY_SWITCH_BATCH_ID is not null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdEqualTo(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID =", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdNotEqualTo(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID <>", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdGreaterThan(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID >", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID >=", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdLessThan(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID <", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdLessThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID <=", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdLike(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID like", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdNotLike(String value) {
            addCriterion("DELAY_SWITCH_BATCH_ID not like", value, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdIn(List<String> values) {
            addCriterion("DELAY_SWITCH_BATCH_ID in", values, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdNotIn(List<String> values) {
            addCriterion("DELAY_SWITCH_BATCH_ID not in", values, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_BATCH_ID between", value1, value2, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchBatchIdNotBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_BATCH_ID not between", value1, value2, "delaySwitchBatchId");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagIsNull() {
            addCriterion("DELAY_SWITCH_TASK_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagIsNotNull() {
            addCriterion("DELAY_SWITCH_TASK_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagEqualTo(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG =", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagNotEqualTo(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG <>", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagGreaterThan(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG >", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagGreaterThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG >=", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagLessThan(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG <", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagLessThanOrEqualTo(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG <=", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagLike(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG like", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagNotLike(String value) {
            addCriterion("DELAY_SWITCH_TASK_FLAG not like", value, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagIn(List<String> values) {
            addCriterion("DELAY_SWITCH_TASK_FLAG in", values, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagNotIn(List<String> values) {
            addCriterion("DELAY_SWITCH_TASK_FLAG not in", values, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_TASK_FLAG between", value1, value2, "delaySwitchTaskFlag");
            return (Criteria) this;
        }

        public Criteria andDelaySwitchTaskFlagNotBetween(String value1, String value2) {
            addCriterion("DELAY_SWITCH_TASK_FLAG not between", value1, value2, "delaySwitchTaskFlag");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}